<?php

/**
 Plugin Name: Katorymnd reaction process

Description: Submit and show reaction messages
Version: 1.0
Author: Katorymnd
Author URI: http://host.katorymnd.org/raymond/
Requires at least: 5.6
Requires PHP Version: 7.0 
License: GNU General Public License v2 or later
License URI: http://www.gnu.org/licenses/gpl-2.0.html

 */


// Make sure we don't expose any info if called directly
if (!function_exists('add_action')) {
  echo "<p>" . __('Please do not access me directly') . "</p>";
  exit;
}


//$function
function katorymnd_showfeeds()
{


  include('katorymnd_feebackAdmin.php');
}

/*
(add a admin page to 'settings' in the admin)
 add_options_page( $page_title, $menu_title, $capability,
    $menu_slug, $function );*/


//$page_title, $menu_title, $capability,$menu_slug
function katorymnd_feedb_setting_page()
{
  add_options_page("Katorymnd reaction settings", "Katorymnd Member reaction Settings ", "manage_options", "katorymnd_member_feeds_settings", "katorymnd_showfeeds");
}

add_action('admin_menu', 'katorymnd_feedb_setting_page');


function katorymnd_reaction_plugin_sf()
{
  //create db table for reaction values

  function katorymnd_fyvx_reaction()
  {
    global $wpdb;
    $katorymnd_svhw_table = $wpdb->prefix . 'katorymnd_feeback';  // table name
    $charset_collate = $wpdb->get_charset_collate();

    //Check to see if the table exists already, if not, then create it

    if ($wpdb->get_var("show tables like '$katorymnd_svhw_table'") != $katorymnd_svhw_table) {
      $skgc_sql = "CREATE TABLE $katorymnd_svhw_table (
                fd_id int(50) NOT NULL auto_increment,
                first_name varchar(255) NOT NULL,
                second_name varchar(255) NOT NULL,
                feed_email varchar(255) NOT NULL,
                feed_subject varchar(255) NOT NULL,
                feed_message mediumtext NOT NULL,
                feed_div_id varchar(255) NOT NULL,
                feed_function varchar(255) NOT NULL,
                UNIQUE KEY fd_id (fd_id)
        ) $charset_collate;";

      require_once(ABSPATH . 'wp-admin/includes/upgrade.php');
      dbDelta($skgc_sql);
      add_option('katorymnd_wlse', $katorymnd_wlse);
    }
  }

  register_activation_hook(__FILE__, 'katorymnd_fyvx_reaction');




  // Delete reaction table on deactivation of plugin

  function katorymnd_fyvx_reaction_deactivate()
  {
    global $wpdb;
    $katorymnd_tvdf = array(
      $wpdb->prefix . "katorymnd_feeback",
      //$wpdb->prefix . "another table"
    );
    foreach ($katorymnd_tvdf as $ouiz) {
      $sql = "DROP TABLE IF EXISTS $ouiz";
      $wpdb->query($sql);
    }

    delete_option("my_plugin_db_version");
  }

  register_deactivation_hook(__FILE__, 'katorymnd_fyvx_reaction_deactivate');




  return true;
}

katorymnd_reaction_plugin_sf();


/*

// inline scripts via wp_add_inline_script()
function katorymnd_enqueue_scripts()
{


  $katorymnd_bilm = array(
    'ajax_url' => admin_url('admin-ajax.php'),
  );
  wp_localize_script('katorymnd_vubc_css_js', 'katorymnd_bilm', $katorymnd_bilm);
}
add_action('wp_enqueue_scripts', 'katorymnd_enqueue_scripts');
add_action('admin_enqueue_scripts', 'katorymnd_enqueue_scripts');


*/

// create the actual plugin details here


function katorymnd_vubc_css_js()
{
  // css & js here
  wp_register_style('katorymnd_vubc_css_js', plugins_url('/css/katorymnd_wdsn.css', __FILE__));
  wp_enqueue_style('katorymnd_vubc_css_js');


  $script  = 'let jmby = ' . json_encode('katorymnd software development') . '; ';
  $script .= 'let pwy = ' . json_encode(get_option('katorymnd_kpzv')) . '; ';
  //$script .= 'let pwyu = '. json_encode(get_option('katorymnd_jwnl')) .'; ';

  wp_add_inline_script('katorymnd_vubc_css_js', $script, 'before');

  wp_register_script('katorymnd_vubc_css_js', plugins_url('/js/katorymnd_qjsk.js', __FILE__), array('jquery'), '1.0', true);

  wp_enqueue_script('katorymnd_vubc_css_js');
}

add_action('wp_enqueue_scripts', 'katorymnd_vubc_css_js');
add_action('init', 'katorymnd_vubc_css_js');
add_action('admin_enqueue_scripts', 'katorymnd_vubc_css_js');
add_action('login_enqueue_scripts', 'katorymnd_vubc_css_js');





function katorymnd_eoml_showFeeds()
{

  global $wpdb;
  /**
   * Restrict to show feedback messages to only authorized administrators. 
   */


  if (current_user_can('administrator')) {


    include(plugin_dir_path(__FILE__) . 'katorymnd_Showfeeback.php');

    //print plugin_dir_path(__FILE__);

  } else {
    print __('<b>You are not authorized to view the content of this page.</b>');
  }
}




/**
 * validate form details and save to db wp
 */

function katorymnd_reaction_valid_page()
{

  global $wpdb;

  include(plugin_dir_path(__FILE__) . 'katorymnd_validFm.php'); //valid page

}

add_action('katorymnd_fhip', 'katorymnd_reaction_valid_page');



// feedback form
function katorymnd_whur_feedback_form()
{

  // add form details

  include(plugin_dir_path(__FILE__) . 'katorymnd_feebackForm.php'); //form

}


function katorymnd_jxzw_shortcode()
{

  ob_start(); //


  do_action('katorymnd_fhip');

  katorymnd_whur_feedback_form(); // reaction form [html] inputs

  return ob_get_clean(); // prevents the form from showing in the Gutenberg html editor
}


// finally short code - form reaction 
add_shortcode('katorymnd_reaction_form', 'katorymnd_jxzw_shortcode');


function katorymnd_rhwg_shortcode()
{
  ob_start(); //
  katorymnd_eoml_showFeeds(); // display reaction messages 
  return ob_get_clean(); //
}

// finally short code - show reaction 
add_shortcode('katorymnd_reaction_show', 'katorymnd_rhwg_shortcode');
